Bug 200367 - Thai - No outline thai fonts included in fedora
Thai - No outline thai fonts included in fedora
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: i18n (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: i18n Engineering List
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-27 03:12 EDT by Xiaohong Wang
Modified: 2008-07-14 02:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-28 01:52:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (41.92 KB, image/png)
2006-07-27 03:12 EDT, Xiaohong Wang
no flags Details

  None (edit)
Description Xiaohong Wang 2006-07-27 03:12:48 EDT
Description of problem:


Version-Release number of selected component (if applicable):
openoffice.org-2.0.3-7.5

How reproducible:
always

Steps to Reproduce:
1. Select Thai at log in
2. Launch OpenOffice.org Writer
  
Actual results:
Menus are displayed neither in Thai nor in English, just with blank or underlines.
pls check attached screenshot

Expected results:


Additional info:
In other non-English UI, menus of openoffice are displayed correctly
Comment 1 Xiaohong Wang 2006-07-27 03:12:48 EDT
Created attachment 133133 [details]
screenshot
Comment 2 Caolan McNamara 2006-07-27 07:43:43 EDT
OOo can only use outline fonts, not bitmapped ones, and...

bash-3.1$ fc-list :lang=th
MiscFixed:style=Regular
MiscFixed:style=SemiCondensed
MiscFixed:style=Bold
Fixed:style=Regular

So we need outline thai fonts, but I don't see any in our distro. On the other
hand I see that Suse has...

http://download.opensuse.org/distribution/SL-OSS-factory/inst-source/suse/src/fonts-thai-0.4.3.1-14.src.rpm

which work perfectly fine with our OOo.
Comment 3 Leon Ho 2006-08-28 01:52:15 EDT
Cannot do much on this "additional language" in FC6 as the runway is limited
now. Defer this on future FC releases.
Comment 4 Jens Petersen 2008-07-14 02:41:02 EDT
thaifonts-scalable was added to the distribution in Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.